package com.yeejoin.amos.boot.module.common.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum WaterResourceTypeEnum {
    消火栓("hydrant", "消火栓"),
    消防水鹤("crane", "消防水鹤"),
    消防水池("pool", "消防水池"),
    天然水源("natural", "天然水源"),
    消防水箱("waterTank", "消防水箱"),
    工业水池("industryPool", "工业水池");

    private String code;
    private String name;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
